Get Invoice
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-invoices/{invoiceId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-invoices/{invoiceId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-invoices/{invoiceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-invoices/{invoiceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/sales-invoices/{invoiceId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-invoices/{invoiceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"number": "<string>",
"externalNumber": "<string>",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"departureCountry": {
"countryISO": "<string>",
"state": "<string>",
"currencyIso": "<string>",
"currencyFactor": 123
},
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billingAddress": {
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"company": "<string>",
"company2": "<string>",
"formOfAddress": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"street": "<string>",
"address2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"state": "<string>",
"countryIso": "<string>",
"vatID": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"emailAddress": "<string>",
"fax": "<string>"
},
"shipmentAddress": {
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"company": "<string>",
"company2": "<string>",
"formOfAddress": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"street": "<string>",
"address2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"state": "<string>",
"countryIso": "<string>",
"vatID": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"emailAddress": "<string>",
"fax": "<string>"
},
"invoiceDate": "2023-11-07T05:31:56Z",
"invoicePaymentDetails": {
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentStatus": 0,
"totalGrossAmount": 123,
"currencyIso": "<string>",
"currencyFactor": 123,
"stillToPay": 123,
"paymentTarget": 123,
"cashDiscount": 123,
"cashDiscountDays": 123,
"stopPaymentRequest": true,
"dunningLevel": 123,
"nextDueDate": "2023-11-07T05:31:56Z"
},
"colorcodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"dunningBlock": true,
"isExternalInvoice": true,
"comment": "<string>",
"customerComment": "<string>",
"isCancelled": true,
"languageIso": "<string>",
"cancellationDetails": {
"cancellationReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"cancellationComment": "<string>",
"date": "2023-11-07T05:31:56Z"
}
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Sales Invoice
Get Invoice
Gets a specific invoice.
GET
/
v2
/
sales-invoices
/
{invoiceId}
Get Invoice
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-invoices/{invoiceId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-invoices/{invoiceId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-invoices/{invoiceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-invoices/{invoiceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/sales-invoices/{invoiceId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-invoices/{invoiceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"number": "<string>",
"externalNumber": "<string>",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"departureCountry": {
"countryISO": "<string>",
"state": "<string>",
"currencyIso": "<string>",
"currencyFactor": 123
},
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billingAddress": {
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"company": "<string>",
"company2": "<string>",
"formOfAddress": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"street": "<string>",
"address2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"state": "<string>",
"countryIso": "<string>",
"vatID": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"emailAddress": "<string>",
"fax": "<string>"
},
"shipmentAddress": {
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"company": "<string>",
"company2": "<string>",
"formOfAddress": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"street": "<string>",
"address2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"state": "<string>",
"countryIso": "<string>",
"vatID": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"emailAddress": "<string>",
"fax": "<string>"
},
"invoiceDate": "2023-11-07T05:31:56Z",
"invoicePaymentDetails": {
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentStatus": 0,
"totalGrossAmount": 123,
"currencyIso": "<string>",
"currencyFactor": 123,
"stillToPay": 123,
"paymentTarget": 123,
"cashDiscount": 123,
"cashDiscountDays": 123,
"stopPaymentRequest": true,
"dunningLevel": 123,
"nextDueDate": "2023-11-07T05:31:56Z"
},
"colorcodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"dunningBlock": true,
"isExternalInvoice": true,
"comment": "<string>",
"customerComment": "<string>",
"isCancelled": true,
"languageIso": "<string>",
"cancellationDetails": {
"cancellationReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"cancellationComment": "<string>",
"date": "2023-11-07T05:31:56Z"
}
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Headers
Path Parameters
Response
Returns the invoice for the given ID.
Model Class: Invoice
Was this page helpful?